function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(arr, i) { var _i = null == arr ? null : "undefined" != typeof Symbol && arr[Symbol.iterator] || arr["@@iterator"]; if (null != _i) { var _s, _e, _x, _r, _arr = [], _n = !0, _d = !1; try { if (_x = (_i = _i.call(arr)).next, 0 === i) { if (Object(_i) !== _i) return; _n = !1; } else for (; !(_n = (_s = _x.call(_i)).done) && (_arr.push(_s.value), _arr.length !== i); _n = !0); } catch (err) { _d = !0, _e = err; } finally { try { if (!_n && null != _i.return && (_r = _i.return(), Object(_r) !== _r)) return; } finally { if (_d) throw _e; } } return _arr; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import { BizDialog } from '@zgfe/business-lib';
import { Spin } from 'antd';
import _ from 'lodash';
import React, { useEffect, useState } from 'react';
import apis from '../../constants/api';
import request from '../../utils/ajax';
import './index.less';
var classPrefix = 'cdp-task-log';
export var LogView = function LogView(_ref) {
  var log = _ref.log;
  function isJSON(str) {
    try {
      JSON.parse(str);
      return true;
    } catch (error) {
      return false;
    }
  }
  function logFormat(log) {
    if (!log) return '暂无日志';
    return log.split(/\n|\r\n/g).map(function (line, i) {
      if (isJSON(line)) {
        var data = JSON.parse(line);
        return logFormat(data.message || '');
      }
      var tabs = line.split(/\t/g);
      return /*#__PURE__*/React.createElement("div", {
        className: "cdp-task-log-line",
        key: i
      }, tabs.map(function (tab, index) {
        return /*#__PURE__*/React.createElement("div", {
          key: index
        }, index > 0 ? /*#__PURE__*/React.createElement("span", {
          className: "".concat(classPrefix, "-tab")
        }) : null, tab);
      }));
    });
    // return log.split(/\n/g).map((line, i) => {
    //   return (
    //     <div className="cdp-task-log-line" key={i}>
    //       {util.setHighLight(line, /\t/g, (val, key) => {
    //         return <span className={`${classPrefix}-tab`} key={key}></span>;
    //       })}
    //     </div>
    //   );
    // });
  }

  return /*#__PURE__*/React.createElement("div", {
    className: "cdp-task-log"
  }, logFormat(log));
};
var CheckTaskLog = function CheckTaskLog(_ref2) {
  var taskId = _ref2.taskId,
    historyId = _ref2.historyId,
    onClose = _ref2.onClose;
  var _useState = useState(true),
    _useState2 = _slicedToArray(_useState, 2),
    loading = _useState2[0],
    setLoading = _useState2[1];
  var _useState3 = useState(''),
    _useState4 = _slicedToArray(_useState3, 2),
    log = _useState4[0],
    setLog = _useState4[1];
  useEffect(function () {
    queryLog();
  }, []);
  function queryLog() {
    setLoading(true);
    request(_.isNumber(historyId) ? apis.getLogByHistory : apis.getTaskLog, _defineProperty({
      method: historyId ? 'post' : 'get'
    }, historyId ? 'data' : 'params', historyId ? {
      jobId: taskId,
      id: historyId
    } : {
      id: taskId
    })).then(function (res) {
      if (!res) throw new Error();
      setLog(res.data);
    }).catch(function (err) {
      console.error('日志查询失败', err);
    }).finally(function () {
      setLoading(false);
    });
  }
  return /*#__PURE__*/React.createElement(BizDialog, {
    className: "cdp-viewlog-dialog",
    title: "\u67E5\u770B\u65E5\u5FD7",
    open: true,
    width: 1000,
    footer: null,
    closable: true,
    onCancel: onClose
  }, function () {
    if (loading) {
      return /*#__PURE__*/React.createElement(Spin, {
        className: "cdp-task-log-loading"
      });
    }
    return /*#__PURE__*/React.createElement(LogView, {
      log: log
    });
  }());
};
export default CheckTaskLog;